Subject: powerpoppers.com online form submission

From: [email-masked]
Date: Wed, 31 Aug 2016 08:37:12 -0000

Submitted by: Ed Frez
Submitter's email: [email-masked]

My name is Ed and I design great looking websites for small business owners. I'm contacting you to see if there are changes or enhancements that you'd like to make to your site. 

Have you been thinking about upgrading your site to a more cutting edge look and feel or adding a few elements to the site that will help automate some of your business? If so, I'd really love to speak with you.

Do you have a free minute we can talk in the next couple of days that would work for you? I can give you a few proposals of different strategies that I've done that have had a major effect on my customers ROI. I'd be happy to help out.

I look forward to speaking with you,

Thanks,
Ed Frez

IP = 23.81.233.243